# IPCVSwapper

## Functions

### swap

```solidity
function swap() external
```

### setReceivingAddress

```solidity
function setReceivingAddress(
    address _tokenReceivingAddress
) external
```

#### Parameters

| Name                     | Type    | Description |
| ------------------------ | ------- | ----------- |
| `_tokenReceivingAddress` | address |             |

### tokenSpent

```solidity
function tokenSpent() external returns (address)
```

### tokenReceived

```solidity
function tokenReceived() external returns (address)
```

### tokenReceivingAddress

```solidity
function tokenReceivingAddress() external returns (address)
```

## Events

### UpdateReceivingAddress

```solidity
event UpdateReceivingAddress(
    address oldTokenReceivingAddress,
    address newTokenReceivingAddress
)
```

#### Parameters

| Name                       | Type    | Description |
| -------------------------- | ------- | ----------- |
| `oldTokenReceivingAddress` | address |             |
| `newTokenReceivingAddress` | address |             |
| ### Swap                   |         |             |

```solidity
event Swap(
    address _caller,
    address _tokenSpent,
    address _tokenReceived,
    uint256 _amountSpent,
    uint256 _amountReceived
)
```

#### Parameters

| Name              | Type    | Description |
| ----------------- | ------- | ----------- |
| `_caller`         | address |             |
| `_tokenSpent`     | address |             |
| `_tokenReceived`  | address |             |
| `_amountSpent`    | uint256 |             |
| `_amountReceived` | uint256 |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.essencefinance.io/development/smart-contracts/pcv/ipcvswapper.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
